package com.microservices.pms.pipeline.domain.vo;

import java.io.Serializable;
import java.util.List;

public class PipelineVo implements Serializable {
  private String pipelineName;

  private PipelineJson pipelineJson;

  public String getPipelineName() {
    return this.pipelineName;
  }

  public void setPipelineName(String pipelineName) {
    this.pipelineName = pipelineName;
  }

  public PipelineJson getPipelineJson() {
    return this.pipelineJson;
  }

  public void setPipelineJson(PipelineJson pipelineJson) {
    this.pipelineJson = pipelineJson;
  }

  public static class PipelineJson implements Serializable {
    private List<Nodes> nodes;

    private List<Edges> edges;

    public List<Nodes> getNodes() {
      return this.nodes;
    }

    public void setNodes(List<Nodes> nodes) {
      this.nodes = nodes;
    }

    public List<Edges> getEdges() {
      return this.edges;
    }

    public void setEdges(List<Edges> edges) {
      this.edges = edges;
    }

    public static class Nodes implements Serializable {
      private Integer action_node_types_id;

      private String img;

      private List<Inputs> inputs;

      private String icon;

      private String description;

      private String label;

      private String type;

      private Integer sort_no;

      private Integer use_count;

      private String full_name;

      private String name;

      private Integer x;

      private Double y;

      private String id;

      private Boolean isCluster;

      private String yaml;

      public Integer getAction_node_types_id() {
        return this.action_node_types_id;
      }

      public void setAction_node_types_id(Integer action_node_types_id) {
        this.action_node_types_id = action_node_types_id;
      }

      public String getImg() {
        return this.img;
      }

      public void setImg(String img) {
        this.img = img;
      }

      public List<Inputs> getInputs() {
        return this.inputs;
      }

      public void setInputs(List<Inputs> inputs) {
        this.inputs = inputs;
      }

      public String getIcon() {
        return this.icon;
      }

      public void setIcon(String icon) {
        this.icon = icon;
      }

      public String getDescription() {
        return this.description;
      }

      public void setDescription(String description) {
        this.description = description;
      }

      public String getLabel() {
        return this.label;
      }

      public void setLabel(String label) {
        this.label = label;
      }

      public String getType() {
        return this.type;
      }

      public void setType(String type) {
        this.type = type;
      }

      public Integer getSort_no() {
        return this.sort_no;
      }

      public void setSort_no(Integer sort_no) {
        this.sort_no = sort_no;
      }

      public Integer getUse_count() {
        return this.use_count;
      }

      public void setUse_count(Integer use_count) {
        this.use_count = use_count;
      }

      public String getFull_name() {
        return this.full_name;
      }

      public void setFull_name(String full_name) {
        this.full_name = full_name;
      }

      public String getName() {
        return this.name;
      }

      public void setName(String name) {
        this.name = name;
      }

      public Integer getX() {
        return this.x;
      }

      public void setX(Integer x) {
        this.x = x;
      }

      public Double getY() {
        return this.y;
      }

      public void setY(Double y) {
        this.y = y;
      }

      public String getId() {
        return this.id;
      }

      public void setId(String id) {
        this.id = id;
      }

      public Boolean getIsCluster() {
        return this.isCluster;
      }

      public void setIsCluster(Boolean isCluster) {
        this.isCluster = isCluster;
      }

      public String getYaml() {
        return this.yaml;
      }

      public void setYaml(String yaml) {
        this.yaml = yaml;
      }

      public static class Inputs implements Serializable {
        private Boolean is_required;

        private String name;

        private String value;

        private String input_type;

        private Integer id;

        public String getValue() {
          return value;
        }

        public void setValue(String value) {
          this.value = value;
        }

        public Boolean getIs_required() {
          return this.is_required;
        }

        public void setIs_required(Boolean is_required) {
          this.is_required = is_required;
        }

        public String getName() {
          return this.name;
        }

        public void setName(String name) {
          this.name = name;
        }

        public String getInput_type() {
          return this.input_type;
        }

        public void setInput_type(String input_type) {
          this.input_type = input_type;
        }

        public Integer getId() {
          return this.id;
        }

        public void setId(Integer id) {
          this.id = id;
        }
      }
    }

    public static class Edges implements Serializable {
      private String source;

      private String target;

      public String getSource() {
        return this.source;
      }

      public void setSource(String source) {
        this.source = source;
      }

      public String getTarget() {
        return this.target;
      }

      public void setTarget(String target) {
        this.target = target;
      }
    }
  }
}
